OGRE: Ogre::RenderPassColourTarget Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::RenderPassColourTarget Struct Reference
Core » Resources

`#include <OgreRenderPassDescriptor.h>`

Inheritance diagram for Ogre::RenderPassColourTarget:
[legend]

## Public Member Functions
| RenderPassColourTarget ()
bool | operator!= (const RenderPassTargetBase &other) const
bool | operator< (const RenderPassTargetBase &other) const

## Public Attributes
bool | allLayers
| When true, slice will be ignored, and all slices will be attached instead. More...
ColourValue | clearColour
LoadAction::LoadAction | loadAction
uint8 | mipLevel
uint8 | resolveMipLevel
uint16 | resolveSlice
TextureGpu * | resolveTexture
uint16 | slice
StoreAction::StoreAction | storeAction
TextureGpu * | texture

## Constructor & Destructor Documentation

## ◆ RenderPassColourTarget()

Ogre::RenderPassColourTarget::RenderPassColourTarget | ( |  | ) |

## Member Function Documentation

## ◆ operator!=()

bool Ogre::RenderPassTargetBase::operator!= | ( | const RenderPassTargetBase & | other | ) | const
| inherited

## ◆ operator<()

bool Ogre::RenderPassTargetBase::operator< | ( | const RenderPassTargetBase & | other | ) | const
| inherited

## Member Data Documentation

## ◆ allLayers

bool Ogre::RenderPassColourTarget::allLayers

When true, slice will be ignored, and all slices will be attached instead.

## ◆ clearColour

ColourValue Ogre::RenderPassColourTarget::clearColour

## ◆ loadAction

LoadAction::LoadAction Ogre::RenderPassTargetBase::loadAction
| inherited

## ◆ mipLevel

uint8 Ogre::RenderPassTargetBase::mipLevel
| inherited

## ◆ resolveMipLevel

uint8 Ogre::RenderPassTargetBase::resolveMipLevel
| inherited

## ◆ resolveSlice

uint16 Ogre::RenderPassTargetBase::resolveSlice
| inherited

## ◆ resolveTexture

TextureGpu* Ogre::RenderPassTargetBase::resolveTexture
| inherited

## ◆ slice

uint16 Ogre::RenderPassTargetBase::slice
| inherited

## ◆ storeAction

StoreAction::StoreAction Ogre::RenderPassTargetBase::storeAction
| inherited

## ◆ texture

TextureGpu* Ogre::RenderPassTargetBase::texture
| inherited

The documentation for this struct was generated from the following file:

- OgreRenderPassDescriptor.h